import './style.scss';
import React from 'react';
declare type AlertType = 'success' | 'info' | 'warning' | 'error';
export interface AlertProps {
    className?: string;
    /**
     * 警告提示的样式
     */
    type?: AlertType;
    /**
     * 警告提示内容
     */
    message?: string;
    /**
     * 警告提示的辅助性文字介绍
     */
    description?: string;
    /**
     * 是否显示图标
     */
    showIcon?: boolean;
    /**
     * 自定义图标, showIcon 为 true 时生效
     */
    icon?: string;
    /**
     *  是否显示关闭按钮，开启手动关闭功能
     */
    closeable?: boolean;
}
declare const Alert: React.FC<AlertProps>;
export default Alert;
